<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }
define("THEME_BULLET", "<span class='bullet'>&middot;</span>");
require_once INCLUDES."theme_functions_include.php";
if (!isset($_GET['column'])) $_GET['column']='1';

function itemoptionsm($item_type, $item_id) {
	global $locale, $aidlink; $res = "";
	if ($item_type == "N") {
		if (iADMIN && checkrights($item_type)) { $res .= "<!--article_news_opts--> &middot; <a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$item_id."'>".$locale['global_076']."</a>\n"; }
	} elseif ($item_type == "A") {
	if (iADMIN && checkrights($item_type)) { $res .= "<!--article_admin_opts--> &middot; <a href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$item_id."'>".$locale['global_076']."</a>\n"; }
	}
	return $res;
}
function showsublinksm($sep = "&middot;", $class = "") {
	$sres = dbquery(
		"SELECT link_name, link_url, link_window, link_visibility FROM ".DB_SITE_LINKS."
		WHERE link_position='2' OR link_position='3' ORDER BY link_order"
	);
	if (dbrows($sres)) {
		$i = 0;
		$res = "<ul>\n";
		while ($sdata = dbarray($sres)) {
			if ($sdata['link_url'] != "---" && checkgroup($sdata['link_visibility'])) {
				$link_target = $sdata['link_window'] == "1" ? " target='_blank'" : "";
				$li_class = ($i == 0 ? " class='first-link".($class ? " $class" : "")."'" : ($class ? " class='$class'" : ""));
				if (strstr($sdata['link_url'], "http://") || strstr($sdata['link_url'], "https://")) {
					if ($sdata['link_url']!="http://".$_SERVER['SERVER_NAME']."/mobile/"){
						$res .= "<li".$li_class.">".$sep."<a href='".$sdata['link_url']."'$link_target><span>".parseubb($sdata['link_name'], "b|i|u|color")."</span></a></li>\n";
					}
				} else {
					$res .= "<li".$li_class.">".$sep."<a href='".BASEDIR.$sdata['link_url']."'$link_target><span>".parseubb($sdata['link_name'], "b|i|u|color")."</span></a></li>\n";
				}
				$i++;
			}
		}
		$res .= "</ul>\n";
		return $res;
	}
}

function render_page($license=false) {
	global $settings, $main_style, $locale;
	$requrl = str_replace("/mobile", "", $_SERVER['REQUEST_URI']);
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='sub-header'><a href= '".$requrl."'>  -</a><br /> 
	".showsublinksm("", "white")."<hr />\n";
 //$_GET['column']=='1'
if(dirname($_SERVER['REQUEST_URI'])!='/mobile/administration'){
	echo ":\n";
	echo "<form action='#' method='get' name='c_form'>\n";
	echo "<select name='column' class='textbox' onchange='form.submit();'>\n";
	echo "<option value='0'> </option>\n";
	echo "<option value='1'></option>\n";
	echo "<option value='2'> </option>\n";
	echo "<option value='3'> </option>\n";
	echo "<option value='4'>  </option>\n";
	echo "<option value='5'>,   </option>\n";
	echo "</select></form>\n";
}else{
	echo LEFT;
}
	echo "</td></tr>\n</table><hr />\n";
	//Header

	//Content

	echo "<table cellpadding='0' cellspacing='0' width='100%' class='$main_style'>\n<tr>\n";

    switch ($_GET['column']){
        case 2:
			echo "<td class='side-border-left' valign='top'>".LEFT."</td>";
            break;
        case 3:
			echo "<td class='side-border-right' valign='top'>".RIGHT."</td>";
            break;
        case 4:
			echo "<td class='side-border-right' valign='top'>".U_CENTER.L_CENTER."</td>";
            break;
        case 5:
			echo "<td class='side-border-right' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
            break;
        case 1:
        default:
			echo "<td class='main-bg' valign='top'>".CONTENT."<hr /></td>";
            break;
    }

	echo "</tr>\n</table>\n";
	//Footer

	echo "</tr>\n</table>\n";

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";

	echo "<td align='center' class='footer' width='100%'><a href= '".BASEDIR."readme.php'>  </a></td>\n";

	echo "</tr></table>\n";
}

function render_news($subject, $news, $info) {
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='capmain' width='100%'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";

	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "<tr></tr>\n";
	echo "<td class='news-footer'>\n";
	echo newsposter($info,"<br />");
	$str = newsopts($info,"<br />");
	$str = preg_replace('@<a.*.print.*.*</a>@',"\\1",$str);
	echo $str;
	echo itemoptionsm("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n</table><hr />\n";
}

function render_article($subject, $article, $info) {

	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "</tr>\n</table>\n";

	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='news-footer'>\n";
	echo articleposter($info,"<br />");
	$str = articleopts($info,"<br />");
	$str = preg_replace('@<a.*.print.*.*</a>@',"\\1",$str);
	echo $str;
	echo itemoptionsm("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";
}
function opentable($title) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='main-body'>\n";
}
function closetable() {
	echo "</td>\n";
	echo "</tr>\n</table>\n";
}
function openside($title, $collapse = false, $state = "on") {
	global $panel_collapse; $panel_collapse = $collapse;

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain' align='center' width='100%'>$title</td>\n";

	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='side-body'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	global $panel_collapse;
	if ($panel_collapse == true) {
	echo "</div>\n";
	}	
	echo "</td>\n</tr>\n</table>\n";
}
?>
